Bug 105877 - kudzu segfaults. See backtrace and hardware list below.
kudzu segfaults. See backtrace and hardware list below.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-28 18:10 EDT by Patrice Dumas
Modified: 2014-03-16 22:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.1.43-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 16:26:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modules configuration file (227 bytes, text/plain)
2003-11-08 06:01 EST, Patrice Dumas
no flags Details
options of the lo interface (254 bytes, text/plain)
2003-11-08 06:05 EST, Patrice Dumas
no flags Details
configuration file for the eth0 interface (37 bytes, text/plain)
2003-11-08 06:06 EST, Patrice Dumas
no flags Details

  None (edit)
Description Patrice Dumas 2003-09-28 18:10:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.2.1) Gecko/20030225

Description of problem:
kudzu and kudzu -s segfaults. The cvs version segfaults too.
Here is a backtrace:

[root@localhost root]# gdb -q ~pat/src/kudzu/kudzu
(gdb) run
Starting program: /home/pat/src/kudzu/kudzu
 
Program received signal SIGSEGV, Segmentation fault.
0x420796b8 in strcmp () from /lib/tls/libc.so.6
(gdb) backtrace
#0  0x420796b8 in strcmp () from /lib/tls/libc.so.6
#1  0x08053bb3 in matchNetDevices (devlist=0xffffffff) at kudzu.c:1066
#2  0x08052c54 in probeDevices (probeClass=CLASS_UNSPEC, probeBus=BUS_UNSPEC,
    probeFlags=1) at kudzu.c:703
#3  0x0805084d in main (argc=1, argv=0xbfffe234) at hwconf.c:1931
#4  0x420156a4 in __libc_start_main () from /lib/tls/libc.so.6
(gdb) quit

hardware:
Sis motherboard
Creative Labs SB Live! soundcard
nVidia Corporation NV5 [RIVA TNT2/TNT2 Pro] graphical card
PCTel Inc HSP MicroModem 56 winmodem
USB Controller: Silicon Integrated Systems [SiS] SiS7001
ADSL usb modem sagem fast 800

Remark about the modem: I use the driver located at
http://fast800.tuxfamily.org/pub/sommaire.php3
it is not included in Red Hat linux but it is the only driver I know.




Version-Release number of selected component (if applicable):
kudzu-0.99.99-1 and kudzu cvs

How reproducible:
Always

Steps to Reproduce:
1. launch kudzu
    

Actual Results:  [root@localhost root]# kudzu
Segmentation fault

Before it segfaults it does some things (the mouse change place, the
window lose the focus and there is a sound at the floppy driver)

Expected Results:  something else ;-)

Additional info:

I repeat the above.
Here is a backtrace:

[root@localhost root]# gdb -q ~pat/src/kudzu/kudzu
(gdb) run
Starting program: /home/pat/src/kudzu/kudzu
 
Program received signal SIGSEGV, Segmentation fault.
0x420796b8 in strcmp () from /lib/tls/libc.so.6
(gdb) backtrace
#0  0x420796b8 in strcmp () from /lib/tls/libc.so.6
#1  0x08053bb3 in matchNetDevices (devlist=0xffffffff) at kudzu.c:1066
#2  0x08052c54 in probeDevices (probeClass=CLASS_UNSPEC, probeBus=BUS_UNSPEC,
    probeFlags=1) at kudzu.c:703
#3  0x0805084d in main (argc=1, argv=0xbfffe234) at hwconf.c:1931
#4  0x420156a4 in __libc_start_main () from /lib/tls/libc.so.6
(gdb) quit

hardware:
Sis motherboard
Creative Labs SB Live! soundcard
nVidia Corporation NV5 [RIVA TNT2/TNT2 Pro] graphical card
PCTel Inc HSP MicroModem 56 winmodem
USB Controller: Silicon Integrated Systems [SiS] SiS7001
ADSL usb modem sagem fast 800

Remark about the modem: I use the driver located at
http://fast800.tuxfamily.org/pub/sommaire.php3
it is not included in Red Hat linux but it is the only driver I know.

Other remark: redhat-configure-soundcard fails with:
[root@localhost root]# redhat-config-soundcard
Traceback (most recent call last):
  File "/usr/share/redhat-config-soundcard/redhat-config-soundcard.py", line 44,
in ?
    app = soundcard.childWindow()
  File "/usr/share/redhat-config-soundcard/soundcard.py", line 162, in __init__
   
self.primaryDeviceMenu.set_active(self.cardList.index(self.soundcardBackend.getDefaultCard()))
ValueError: list.index(x): x not in list

redhat-config-mouse and redhat-config-network seem to work.
This may not be related, but more info doesn't hurt.
Comment 1 Bill Nottingham 2003-09-29 00:10:57 EDT
Where does the RH9 version die? (matchNetDevices is new...)
Comment 2 Patrice Dumas 2003-09-29 12:17:40 EDT
Here is a backtrace from kudzu-0.99.99 extracted from the src.rpm of redhat 9.

[root@localhost root]# gdb -q ~pat/src/kudzu-0.99.99/kudzu
(gdb) run
Starting program: /home/pat/src/kudzu-0.99.99/kudzu
 
Program received signal SIGSEGV, Segmentation fault.
0x4207a703 in strlen () from /lib/tls/libc.so.6
(gdb) bt
#0  0x4207a703 in strlen () from /lib/tls/libc.so.6
#1  0x0805362b in getAlias (cf=0x80fb5b0, alias=0x0) at modules.c:309
#2  0x0805375f in isAliased (cf=0x80fb5b0, alias=0x0,
    module=0x80ff630 "unknown") at modules.c:327
#3  0x0804c67d in isConfigured (dev=0x80ff5c0) at hwconf.c:664
#4  0x0804f61f in configMenu (oldDevs=0x0, newDevs=0x80ff5c0, runFirst=1)
    at hwconf.c:1690
#5  0x08050390 in main (argc=1, argv=0xbfffdca4) at hwconf.c:1979
#6  0x420156a4 in __libc_start_main () from /lib/tls/libc.so.6
(gdb)
Comment 3 Bill Nottingham 2003-09-29 16:48:02 EDT
Can you attach the output of lspci?
Comment 4 Patrice Dumas 2003-10-12 15:53:53 EDT
[root@localhost root]# lspci
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 735 Host (rev 01)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SiS 530 Virtual PCI-to-PCI
bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] 85C503/5513
00:02.2 USB Controller: Silicon Integrated Systems [SiS] SiS7001 USB Controller
(rev 07)
00:02.3 USB Controller: Silicon Integrated Systems [SiS] SiS7001 USB Controller
(rev 07)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev d0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] SiS7012
PCI Audio Accelerator (rev a0)
00:0d.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 06)
00:0d.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 06)
00:11.0 Communication controller: PCTel Inc HSP MicroModem 56 (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV5 [RIVA TNT2/TNT2 Pro]
(rev 11)
Comment 5 Patrice Dumas 2003-11-08 06:01:52 EST
Created attachment 95822 [details]
modules configuration file
Comment 6 Patrice Dumas 2003-11-08 06:05:22 EST
Created attachment 95823 [details]
options of the lo interface
Comment 7 Patrice Dumas 2003-11-08 06:06:25 EST
Created attachment 95824 [details]
configuration file for the eth0 interface
Comment 8 Patrice Dumas 2003-11-08 06:07:12 EST
The strace for kudzu-0.99 ends with:

syslog(0x8, 0, 0x1)                     = 0
munmap(0x40100000, 270336)              = 0
open("/etc/modules.conf", O_RDONLY)     = 4
stat64("/etc/modules.conf", {st_mode=S_IFREG|0644, st_size=227, ...}) = 0
read(4, "alias usb-controller usb-ohci\nal"..., 227) = 227
close(4)                                = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

The strace for the kudzu cvs of about september

getdents64(5, /* 0 entries */, 4096)    = 0
close(5)                                = 0
open("/etc/sysconfig/network-scripts/ifcfg-eth0", O_RDONLY) = 5
fstat64(5, {st_mode=S_IFREG|0644, st_size=37, ...}) = 0
read(5, "DEVICE=eth0\nBOOTPROTO=dhcp\nONBOO"..., 37) = 37
close(5)                                = 0
open("/etc/sysconfig/network-scripts/ifcfg-lo", O_RDONLY) = 5
fstat64(5, {st_mode=S_IFREG|0644, st_size=254, ...}) = 0
read(5, "DEVICE=lo\nIPADDR=127.0.0.1\nNETMA"..., 254) = 254
close(5)                                = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

I add my network-scripts files and module.conf
Comment 9 Bill Nottingham 2004-02-04 01:30:12 EST
The 'current CVS' segfault should be fixed in current CVS (it's also
bug 106332).
Comment 10 Patrice Dumas 2004-02-04 15:41:36 EST
I did cvs up, compiled, but it still segfaults. However it doesn't
seems to segfault at the same place. It now segfaults where kudzu-0.99 
did. I guess the other bug hide this one...

[root@localhost kudzu]# gdb -q ~pat/src/kudzu/kudzu
(gdb) run
Starting program: /home/pat/src/kudzu/kudzu
 
Program received signal SIGSEGV, Segmentation fault.
0x4207a703 in strlen () from /lib/tls/libc.so.6
(gdb) backtrace
#0  0x4207a703 in strlen () from /lib/tls/libc.so.6
#1  0x080554d7 in getAlias (cf=0x8105080, alias=0x0) at modules.c:309
#2  0x0805560b in isAliased (cf=0x8105080, alias=0x0,
    module=0x8108d40 "unknown") at modules.c:327
#3  0x0804cc4e in isConfigured (dev=0x8108cc8) at hwconf.c:685
#4  0x0804fcfd in configMenu (oldDevs=0x0, newDevs=0x8108cc8, runFirst=1)
    at hwconf.c:1662
#5  0x08050bc6 in main (argc=1, argv=0xbfffea24) at hwconf.c:1971
#6  0x420156a4 in __libc_start_main () from /lib/tls/libc.so.6


end of strace:

open("/etc/sysconfig/network-scripts/ifcfg-lo", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=254, ...}) = 0
read(4, "DEVICE=lo\nIPADDR=127.0.0.1\nNETMA"..., 254) = 254
close(4)                                = 0
syslog(0x8, 0, 0x6)                     = 0
munmap(0x40300000, 348160)              = 0
open("/etc/modules.conf", O_RDONLY)     = 4
stat64("/etc/modules.conf", {st_mode=S_IFREG|0644, st_size=227, ...}) = 0
read(4, "alias usb-controller usb-ohci\nal"..., 227) = 227
close(4)                                = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

Comment 11 Bill Nottingham 2004-02-04 15:47:06 EST
Fixed in CVS, now, really. At least, that particular one is.
Comment 12 Patrice Dumas 2004-02-04 16:22:59 EST
Yep, fixed now. No more segfault. Thanks ! I think you can close it.
Comment 13 Bill Nottingham 2004-02-04 16:26:12 EST
Will be fixed in 1.1.43-1.

Note You need to log in before you can comment on or make changes to this bug.